[@rxap/socket-io](../wiki/globals) / withDynamicSocketIoOptions

# Function: withDynamicSocketIoOptions()

> **withDynamicSocketIoOptions**(`key`): `Provider`

Defined in: [provide.ts:79](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/socket-io/src/lib/provide.ts#L79)

## Parameters

### key

`string` = `'socket.options'`

## Returns

`Provider`
